## org.gnu.gtk
Class DeleteType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.DeleteType

public class DeleteType
extends Enum

Field Summary
`static DeleteType` `CHARS`
`static DeleteType` `DISPLAY_LINE_ENDS`
`static DeleteType` `DISPLAY_LINES`
`static DeleteType` `PARAGRAPH_ENDS`
`static DeleteType` `PARAGRAPHS`
`static DeleteType` `WHITESPACE`
`static DeleteType` `WORD_ENDS`
`static DeleteType` `WORDS`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`DeleteType` `and(DeleteType other)`
`static DeleteType` `intern(int value)`
`DeleteType` `or(DeleteType other)`
`boolean` `test(DeleteType other)`
`DeleteType` `xor(DeleteType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHARS

    public static final DeleteType CHARS

### WORD_ENDS

    public static final DeleteType WORD_ENDS

### WORDS

    public static final DeleteType WORDS

### DISPLAY_LINES

    public static final DeleteType DISPLAY_LINES

### DISPLAY_LINE_ENDS

    public static final DeleteType DISPLAY_LINE_ENDS

### PARAGRAPH_ENDS

    public static final DeleteType PARAGRAPH_ENDS

### PARAGRAPHS

    public static final DeleteType PARAGRAPHS

### WHITESPACE

    public static final DeleteType WHITESPACE

Method Detail

### intern

    public static DeleteType intern(int value)

### or

    public DeleteType or(DeleteType other)

### and

    public DeleteType and(DeleteType other)

### xor

    public DeleteType xor(DeleteType other)

### test

    public boolean test(DeleteType other)